StarPU Internal Handbook

Functions
data_concurrency.h File Reference
`#include <core/jobs.h>`

Go to the source code of this file.

## Functions
void | _starpu_job_set_ordered_buffers (struct _starpu_job *j)
unsigned | _starpu_concurrent_data_access (struct _starpu_job *j)
void | _starpu_submit_job_enforce_arbitered_deps (struct _starpu_job *j, unsigned buf, unsigned nbuffers)
void | _starpu_enforce_data_deps_notify_job_ready_soon (struct _starpu_job *j, _starpu_notify_job_start_data *data)
int | _starpu_notify_data_dependencies (starpu_data_handle_t handle)
void | _starpu_notify_arbitered_dependencies (starpu_data_handle_t handle)
unsigned | _starpu_attempt_to_submit_data_request_from_apps (starpu_data_handle_t handle, enum starpu_data_access_mode mode, void(*callback)(void *), void *argcb)
unsigned | _starpu_attempt_to_submit_arbitered_data_request (unsigned request_from_codelet, starpu_data_handle_t handle, enum starpu_data_access_mode mode, void(*callback)(void *), void *argcb, struct _starpu_job *j, unsigned buffer_index)